package com.wtkj.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-26 11:51
 * @describe
 */
@Data
public class UpdateUserDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "userId can't be null")
	private Long userId;

	private String name;

	private String phone;

	@NotNull(message = "roleId can't be null")
	private String roleIds;

	private String postIds;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "deptId can't be null")
	private Long deptId;
}
